Ignore the additional make flags when building gcc 2. Currently those are

only -jN and gcc's build system has problems with multiple jobs. It works
fine for binutils and gcc 4 though.


git-svn-id: file:///srv/svn/repos/haiku/haiku/trunk@34990 a95241bf-73f2-0310-859d-f6bbb57e9c96
This commit is contained in:
Ingo Weinhold 2010-01-10 15:48:09 +00:00
parent 4e45de0e5f
commit 74887321dd

View File

@ -13,6 +13,9 @@ buildToolsDir=$2/legacy
haikuOutputDir=$3
shift 3
additionalMakeArgs=$*
# Note: The gcc 2 build has trouble with -jN N > 1, hence we only use the
# additional flags for the binutils build. Should there ever be any other
# flags than -jN, we need to handle this differently.
if [ ! -d $haikuSourceDir ]; then
@ -111,13 +114,13 @@ eval "sed $sedExpr Makefile.bak > Makefile" || exit 1
rm Makefile.bak
# make gcc
make $additionalMakeArgs cross || {
make cross || {
echo "ERROR: Building gcc failed." >&2
exit 1
}
# install gcc
make $additionalMakeArgs install-gcc-cross || {
make install-gcc-cross || {
echo "ERROR: Installing the cross compiler failed." >&2
exit 1
}